---
title: Autoruns/Plugins Endpoints (2017/01)
slug: legacy-docs/autorunsplugins-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

These endpoints allow users to manage autorun plugins on a network. 

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/Autoruns/Plugins*

## GET /

Returns a list of autorun plugins on a network

**Query String Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM)  for filtering search results

`sort`  string

An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`")

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of plugin instances exceeds the `pageSize`.

`pageSize` int

The maximum number of plugin instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a [paged list](docId\:yN3GU-aSyfiSjdxgbJdVB) of [Autorun Plugin Entity](docId:-cm4edLnTJGBFMVCiHwQT) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

## POST /

Creates a new autorun plugin on a network.

**Request Body**

The [Autorun Plugin Entity](docId:-cm4edLnTJGBFMVCiHwQT)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the [Autorun Plugin Entity](docId:-cm4edLnTJGBFMVCiHwQT) created and referenced by the Uri (given by the Location header field) in the response. 

## DELETE /

Removes autorun plugins, specified by a filter, from a network. This allows multiple autorun plugins to be deleted at once.

**Query String Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the number of affected autorun plugins as an integer value

## GET /Count/ 

Returns the number of autorun plugins on the network

**Query String Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response** 

The autorun plugin count is returned as an integer value.

## GET /\{id\:int}/ 

Returns the specified autorun plugin on a network

**Segment**

`id` int

A unique identifier for a plugin instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The [Autorun Plugin Entity](docId:-cm4edLnTJGBFMVCiHwQT) 

## PUT /\{id\:int}/ 

Update a specified autorun plugin on a network

**Segment**

`id` int 

A unique identifier for a plugin instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Autorun Plugin Entity](docId:-cm4edLnTJGBFMVCiHwQT) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX

## DELETE /\{id\:int}/ 

Remove a specified autorun plugin from a network

**Segment**

`id` int

A unique identifier for a plugin instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
